
Katello - Bug #5715

subscription-manager subscribe --pool fails with 'undefined method `closed?' for

#<PhusionPassenger::Utils::TeeInput:0x0000000efc93e8>' on passenger 4.0.18 + rest-client 1.6.7

05/14/2014 11:36 AM - Ivan Necas

Status: Closed   

Priority: High   

Assignee: Ivan Necas   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The issue is we pass raw request body that we get from the rails and pass directly to the rest client. Unfortunately, the interface is not

the same

Associated revisions

Revision af0810b5 - 05/14/2014 01:17 PM - Ivan Necas

Fixes #5715 - make sure the rest client doesn't get PhusionPassenger::Utils::TeeInput

Rest client 1.6.7 is not able to handle that, passing the string

instead. The behavior should stay the same.

Revision c1eec48f - 05/19/2014 07:33 AM - Ivan Necas

Merge pull request #4086 from iNecas/rest-client-passenger

Fixes #5715 - make sure the rest client doesn't get PhusionPassenger::Utils::TeeInput

History

#1 - 05/14/2014 01:18 PM - Ivan Necas

- Status changed from Assigned to Ready For Testing

#2 - 05/19/2014 07:52 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:af0810b5de42b12bfac7052e520d29f8b91be55a.

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
